Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

linkmove.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: linkmove.php 6200 2001-07-19 11:33:57Z jakobn $
5 //
6 // Created on: <03-May-2001 17:57:46 amos>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // ** Please see the linklist.php for variables to set before including this file. **
28 // Additional dynamic variables (which are normally taken from the url):
29 // $MoveUp = Whether the link/section is moved up or down
30 // $ObjectType = The type of object being moved, either "section" or "link"
31 // $ItemID = The id of the item being linked
32 // $ObjectID = The id of the section
33 // $LinkID = The id of the link (only when moving link)
34
35 // include_once( "kernel/classes/ezhttptool.php" );
36
37 switch( $ObjectType )
38 {
39 case "section":
40 {
41 // include_once( "kernel/classes/ezlinksection.php" );
42 if ( $MoveUp )
43 eZLinkSection::moveUp( $ItemID, $ObjectID, $ClientModuleName, $ClientModuleType );
44 else
45 eZLinkSection::moveDown( $ItemID, $ObjectID, $ClientModuleName, $ClientModuleType );
46
47 $Funcs["delete"]( $ItemID );
48
49 eZHTTPTool::header( "Location: " . sprintf( $URLS["linklist"], $ItemID ) );
50 exit();
51 break;
52 }
53 case "link":
54 {
55 // include_once( "kernel/classes/ezlinkitem.php" );
56 if ( $MoveUp )
57 eZLinkItem::moveUp( $ObjectID, $LinkID, $ClientModuleName );
58 else
59 eZLinkItem::moveDown( $ObjectID, $LinkID, $ClientModuleName );
60
61 $Funcs["delete"]( $ItemID );
62
63 eZHTTPTool::header( "Location: " . sprintf( $URLS["linklist"], $ItemID ) );
64 exit();
65 break;
66 }
67 default:
68 {
69 eZHTTPTool::header( "Location: /error/404" );
70 break;
71 }
72 }
73
74 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZLinkItem\moveUp
moveUp( $sectionid, $id, $module)
Definition: ezlinkitem.php:252
eZLinkItem\moveDown
moveDown( $sectionid, $id, $module)
Definition: ezlinkitem.php:291
eZLinkSection\moveDown
moveDown( $objectid, $id, $module, $type)
Definition: ezlinksection.php:192
eZLinkSection\moveUp
moveUp( $objectid, $id, $module, $type)
Definition: ezlinksection.php:151
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.